#include <Arduino.h>
#include <esp32-hal-dac.h>//DAC功能引用该库，可以不进行#include<>引用
//查看源码后得到，DAC引脚只能是这两个引脚
#define LED1 25
#define LED2 26
 
void setup(){
  //长时候发现，DAC的IO口也可以不进行初始化
  pinMode(LED1,OUTPUT);
  pinMode(LED2,OUTPUT);
  Serial.begin(115200);
}
 
void loop()
{
  // 逐渐变亮
  for (int dutyCycle = 199; dutyCycle <= 255; dutyCycle = dutyCycle + 1)
  {
    dacWrite(LED1, dutyCycle);  // 输出DAC
    dacWrite(LED2, 255 - dutyCycle);  // 输出DAC
    Serial.printf("++++%d\n",dutyCycle);
    delay(20);
  }
 
  // 逐渐变暗
  for (int dutyCycle = 255; dutyCycle >= 199; dutyCycle = dutyCycle - 1)
  {
    dacWrite(LED1, dutyCycle);  // 输出DAC
    dacWrite(LED2, 255 - dutyCycle);  // 输出DAC
    Serial.printf("----%d\n",dutyCycle);
    delay(20);
  }
}
 
 